4 Replies Latest reply on Nov 21, 2006 11:17 AM by Gavin King

    Seam 1.1.0 build failed

    Wolfgang Schwendt Newbie

      When trying to build jboss-seam-1.1.0.CR1 (but also jboss-seam-1.1.0.BETA1 or BETA2), I get the following error:


      $ ant

      Buildfile: build.xml

      init:
      [echo] Build JBoss Seam 1.1

      select-compiler:

      compile:
      [javac] Compiling 19 source files to G:\java2\jboss-seam-1.1.0.CR1\build\classes
      [javac] Note: G:\java2\jboss-seam-1.1.0.CR1\src\test\misc\org\jboss\seam\test\Foo.java uses or overrides a deprecated API.
      [javac] Note: Recompile with -Xlint:deprecation for details.
      [javac] Note: Some input files use unchecked or unsafe operations.
      [javac] Note: Recompile with -Xlint:unchecked for details.

      jar:

      initui:
      [echo] Build JBoss Seam UI 1.1

      compileui:

      jarui:

      initdebug:
      [echo] Build JBoss Seam Debug 1.1

      compiledebug:

      jardebug:

      initgen:
      [echo] Build JBoss Seam GEN 1.1

      BUILD FAILED
      G:\java2\jboss-seam-1.1.0.CR1\build.xml:324: G:\java2\jboss-seam-1.1.0.CR1\src\gen not found.

      Total time: 4 seconds




      I do not know to what extent this is a bug or feature. Building jboss-seam-1.0.1.GA works without any problems.